API DocumentationShipments

Fulfil a released shipment

POST
/api/manufacturer/v1/order/{orderId}/shipments/{shipmentId}/fulfil

Moves a RELEASED shipment to FULFILLED. Courier shipments must already have tracking.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

orderId*integer

ID of the order the shipment belongs to

shipmentId*string

ID of the released shipment to fulfil

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/manufacturer/v1/order/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/fulfil"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "COURIER",  "status": "PREPARED",  "incoterm": "EXW",  "fromAddress": {    "street1": "string",    "street2": "string",    "city": "string",    "state": "string",    "country": "string",    "zip": "string",    "name": "string",    "company": "string",    "phone": "string",    "email": "string",    "jurisdictionIsoCode": "string",    "residential": true,    "taxId": "string"  },  "parcels": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "grossWeightGrams": 0,      "netWeightGrams": 0,      "value": 0,      "width": 0,      "height": 0,      "length": 0,      "allocations": [        {          "requisitionId": 0,          "quantity": 0        }      ]    }  ],  "preparedAt": "2019-08-24T14:15:22Z",  "preparedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  },  "releasedAt": "2019-08-24T14:15:22Z",  "releasedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  },  "fulfilledAt": "2019-08-24T14:15:22Z",  "fulfilledBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  }}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}